EDIT - bug #9220

adapt dataportal to /registrationDTO now using identifier as query parameter and secure against
CVE-2007-0450 vulnerability

09/07/2020 04:52 PM - Andreas Kohlbecker
Target version: Release 5.18

Severity: normal Found in Version:

Description

A)

the registration page must be secured against CVE-2007-0450 by using an identifier query parameter.

B)
after solving #9218: adapt dataportal to /registrationDTO & /registration now using identifier as query parameter

http://cdmserver.org/registrationDTO?identifier=http://testbank.org/100001
http://cdmserver.org/registration/status?identifier=http://testbank.org/100001

Related issues:

Related to EDIT - bug #9218: Change /registrationDTO/identifier;... signature... Closed
Related to EDIT - task #9219: Revert: requests with %2F in URL are rejected b... New
Related to EDIT - bug #9383: Adapt apache configuration to modified dataporta... Closed

Associated revisions

Revision bd15166b - 09/07/2020 05:25 PM - Andreas Kohlbecker

fix #9220 dataportal adapted to registration controllers now using identifier as query parameter

Revision aea2fOea - 09/07/2020 06:11 PM - Andreas Kohlbecker
ref #9220 registratin page using query param 'identifier' to protect against CVE-2007-0450 vulnerability

Revision b6e9b53a - 10/01/2020 04:36 PM - Andreas Kohlbecker

ref #9220 adapting link creation to new registration page URL schema

Revision 0fec6c2b - 10/01/2020 06:05 PM - Andreas Kohlbecker

ref #9220 adapting link creation to new registration page URL schema - adapting test

History

#1 - 09/07/2020 04:52 PM - Andreas Kohlbecker
- Related to bug #9218: Change /registrationDTO/identifier/... signatures to use query parameters instead added

#2 - 09/07/2020 05:25 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|bd15166b63c77d27¢c4d30e3d9b881fc6f776b9a2.
#3 - 09/07/2020 06:10 PM - Andreas Kohlbecker

- Subject changed from adapt dataportal to /registrationDTO now using identifier as query parameter to adapt dataportal to /registrationDTO now
using identifier as query parameter and secure against CVE-2007-0450 vulnerability

- Description updated

#4 - 09/07/2020 06:12 PM - Andreas Kohlbecker
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-0450
https://dev.e-taxonomy.eu/redmine/issues/9218
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/bd15166b63c77d27c4d30e3d9b881fc6f776b9a2

- Related to task #9219: Revert: requests with %2F in URL are rejected by apache added

#5 - 11/30/2020 01:12 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#6 - 01/12/2021 03:25 PM - Andreas Kohlbecker
- Related to bug #9383: Adapt apache configuration to modified dataportal registration page URL pattern added
